Subject: Ticket Assigned - Hello, I ordered from Centrepoint on a Thursday evening. I ordered 14.6KD worth of items but it didn’t show the number of my order and it already took my money from my master card
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 04 Mar 2023 11:37:12 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Hello, I ordered from Centrepoint on a Thursday evening. I ordered 14.6KD worth of items but it didn’t show the number of my order and it already took my money from my master card  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5788146